diff --git a/sys/contrib/dev/acpica/source/tools/acpiexec/aetables.c b/sys/contrib/dev/acpica/source/tools/acpiexec/aetables.c
index 452546d..67559af 100644
--- a/sys/contrib/dev/acpica/source/tools/acpiexec/aetables.c
+++ b/sys/contrib/dev/acpica/source/tools/acpiexec/aetables.c
@@ -5,7 +5,7 @@
  *****************************************************************************/
 
 /*
- * Copyright (C) 2000 - 2013, Intel Corp.
+ * Copyright (C) 2000 - 2014, Intel Corp.
  * All rights reserved.
  *
  * Redistribution and use in source and binary forms, with or without
@@ -49,6 +49,12 @@
 
 /* Local prototypes */
 
+static void
+AeInitializeTableHeader (
+    ACPI_TABLE_HEADER       *Header,
+    char                    *Signature,
+    UINT32                  Length);
+
 void
 AeTableOverride (
     ACPI_TABLE_HEADER       *ExistingTable,
@@ -81,9 +87,8 @@ static ACPI_TABLE_FADT          LocalFADT;
  */
 static ACPI_TABLE_XSDT          *LocalXSDT;
 
-#define BASE_XSDT_TABLES        10
-#define BASE_XSDT_SIZE          (sizeof (ACPI_TABLE_XSDT) + \
-                                    ((BASE_XSDT_TABLES -1) * sizeof (UINT64)))
+#define BASE_XSDT_TABLES        9
+#define BASE_XSDT_SIZE          ((BASE_XSDT_TABLES) * sizeof (UINT64))
 
 #define ACPI_MAX_INIT_TABLES    (32)
 static ACPI_TABLE_DESC          Tables[ACPI_MAX_INIT_TABLES];
@@ -104,6 +109,12 @@ AeTableOverride (
     ACPI_TABLE_HEADER       **NewTable)
 {
 
+    if (!AcpiGbl_LoadTestTables)
+    {
+        *NewTable = NULL;
+        return;
+    }
+
     /* This code exercises the table override mechanism in the core */
 
     if (ACPI_COMPARE_NAME (ExistingTable->Signature, ACPI_SIG_DSDT))
@@ -122,6 +133,38 @@ AeTableOverride (
 
 /******************************************************************************
  *
+ * FUNCTION:    AeInitializeTableHeader
+ *
+ * PARAMETERS:  Header          - A valid standard ACPI table header
+ *              Signature       - Signature to insert
+ *              Length          - Length of the table
+ *
+ * RETURN:      None. Header is modified.
+ *
+ * DESCRIPTION: Initialize the table header for a local ACPI table.
+ *
+ *****************************************************************************/
+
+static void
+AeInitializeTableHeader (
+    ACPI_TABLE_HEADER       *Header,
+    char                    *Signature,
+    UINT32                  Length)
+{
+
+    ACPI_MOVE_NAME (Header->Signature, Signature);
+    Header->Length = Length;
+
+    Header->OemRevision = 0x1001;
+    ACPI_STRNCPY (Header->OemId, "Intel", ACPI_OEM_ID_SIZE);
+    ACPI_STRNCPY (Header->OemTableId, "AcpiExec", ACPI_OEM_TABLE_ID_SIZE);
+    ACPI_STRNCPY (Header->AslCompilerId, "INTL", ACPI_NAME_SIZE);
+    Header->AslCompilerRevision = 0x20131218;
+}
+
+
+/******************************************************************************
+ *
  * FUNCTION:    AeBuildLocalTables
  *
  * PARAMETERS:  TableCount      - Number of tables on the command line
@@ -147,9 +190,9 @@ AeBuildLocalTables (
 
 
     /*
-     * Update the table count. For DSDT, it is not put into the XSDT. For
-     * FADT, this is already accounted for since we usually install a
-     * local FADT.
+     * Update the table count. For the DSDT, it is not put into the XSDT.
+     * For the FADT, this table is already accounted for since we usually
+     * install a local FADT.
      */
     NextTable = TableList;
     while (NextTable)
@@ -162,7 +205,11 @@ AeBuildLocalTables (
         NextTable = NextTable->Next;
     }
 
-    XsdtSize = BASE_XSDT_SIZE + (TableCount * sizeof (UINT64));
+    XsdtSize = (((TableCount + 1) * sizeof (UINT64)) + sizeof (ACPI_TABLE_HEADER));
+    if (AcpiGbl_LoadTestTables)
+    {
+        XsdtSize += BASE_XSDT_SIZE;
+    }
 
     /* Build an XSDT */
 
@@ -173,41 +220,18 @@ AeBuildLocalTables (
     }
 
     ACPI_MEMSET (LocalXSDT, 0, XsdtSize);
-    ACPI_MOVE_NAME (LocalXSDT->Header.Signature, ACPI_SIG_XSDT);
-    LocalXSDT->Header.Length = XsdtSize;
-    LocalXSDT->Header.Revision = 1;
-
-    LocalXSDT->TableOffsetEntry[0] = ACPI_PTR_TO_PHYSADDR (&LocalTEST);
-    LocalXSDT->TableOffsetEntry[1] = ACPI_PTR_TO_PHYSADDR (&LocalBADTABLE);
-    LocalXSDT->TableOffsetEntry[2] = ACPI_PTR_TO_PHYSADDR (&LocalFADT);
-
-    /* Install two SSDTs to test multiple table support */
-
-    LocalXSDT->TableOffsetEntry[3] = ACPI_PTR_TO_PHYSADDR (&Ssdt1Code);
-    LocalXSDT->TableOffsetEntry[4] = ACPI_PTR_TO_PHYSADDR (&Ssdt2Code);
-
-    /* Install the OEM1 table to test LoadTable */
+    AeInitializeTableHeader ((void *) LocalXSDT, ACPI_SIG_XSDT, XsdtSize);
 
-    LocalXSDT->TableOffsetEntry[5] = ACPI_PTR_TO_PHYSADDR (&Oem1Code);
-
-    /* Install the OEMx table to test LoadTable */
-
-    LocalXSDT->TableOffsetEntry[6] = ACPI_PTR_TO_PHYSADDR (&OemxCode);
-
-     /* Install the ECDT table to test _REG */
-
-    LocalXSDT->TableOffsetEntry[7] = ACPI_PTR_TO_PHYSADDR (&EcdtCode);
-
-    /* Install two UEFIs to test multiple table support */
-
-    LocalXSDT->TableOffsetEntry[8] = ACPI_PTR_TO_PHYSADDR (&Uefi1Code);
-    LocalXSDT->TableOffsetEntry[9] = ACPI_PTR_TO_PHYSADDR (&Uefi2Code);
+    LocalXSDT->TableOffsetEntry[0] = ACPI_PTR_TO_PHYSADDR (&LocalFADT);
+    NextIndex = 1;
 
     /*
      * Install the user tables. The DSDT must be installed in the FADT.
      * All other tables are installed directly into the XSDT.
+     *
+     * Note: The tables are loaded in reverse order from the incoming
+     * input, which makes it match the command line order.
      */
-    NextIndex = BASE_XSDT_TABLES;
     NextTable = TableList;
     while (NextTable)
     {
@@ -225,38 +249,73 @@ AeBuildLocalTables (
 
             /* The incoming user table is a DSDT */
 
-            DsdtAddress = ACPI_PTR_TO_PHYSADDR (&DsdtCode);
+            DsdtAddress = ACPI_PTR_TO_PHYSADDR (NextTable->Table);
             DsdtToInstallOverride = NextTable->Table;
         }
         else if (ACPI_COMPARE_NAME (NextTable->Table->Signature, ACPI_SIG_FADT))
         {
             ExternalFadt = ACPI_CAST_PTR (ACPI_TABLE_FADT, NextTable->Table);
-            LocalXSDT->TableOffsetEntry[2] = ACPI_PTR_TO_PHYSADDR (NextTable->Table);
+            LocalXSDT->TableOffsetEntry[0] = ACPI_PTR_TO_PHYSADDR (NextTable->Table);
         }
         else
         {
             /* Install the table in the XSDT */
 
-            LocalXSDT->TableOffsetEntry[NextIndex] = ACPI_PTR_TO_PHYSADDR (NextTable->Table);
+            LocalXSDT->TableOffsetEntry[TableCount - NextIndex + 1] =
+                ACPI_PTR_TO_PHYSADDR (NextTable->Table);
             NextIndex++;
         }
 
         NextTable = NextTable->Next;
     }
 
-    /* Build an RSDP */
+    /* Install the optional extra local tables */
+
+    if (AcpiGbl_LoadTestTables)
+    {
+        LocalXSDT->TableOffsetEntry[NextIndex++] = ACPI_PTR_TO_PHYSADDR (&LocalTEST);
+        LocalXSDT->TableOffsetEntry[NextIndex++] = ACPI_PTR_TO_PHYSADDR (&LocalBADTABLE);
+
+        /* Install two SSDTs to test multiple table support */
+
+        LocalXSDT->TableOffsetEntry[NextIndex++] = ACPI_PTR_TO_PHYSADDR (&Ssdt1Code);
+        LocalXSDT->TableOffsetEntry[NextIndex++] = ACPI_PTR_TO_PHYSADDR (&Ssdt2Code);
+
+        /* Install the OEM1 table to test LoadTable */
+
+        LocalXSDT->TableOffsetEntry[NextIndex++] = ACPI_PTR_TO_PHYSADDR (&Oem1Code);
+
+        /* Install the OEMx table to test LoadTable */
+
+        LocalXSDT->TableOffsetEntry[NextIndex++] = ACPI_PTR_TO_PHYSADDR (&OemxCode);
+
+         /* Install the ECDT table to test _REG */
+
+        LocalXSDT->TableOffsetEntry[NextIndex++] = ACPI_PTR_TO_PHYSADDR (&EcdtCode);
+
+        /* Install two UEFIs to test multiple table support */
+
+        LocalXSDT->TableOffsetEntry[NextIndex++] = ACPI_PTR_TO_PHYSADDR (&Uefi1Code);
+        LocalXSDT->TableOffsetEntry[NextIndex++] = ACPI_PTR_TO_PHYSADDR (&Uefi2Code);
+    }
+
+    /* Build an RSDP. Contains a valid XSDT only, no RSDT */
 
     ACPI_MEMSET (&LocalRSDP, 0, sizeof (ACPI_TABLE_RSDP));
     ACPI_MAKE_RSDP_SIG (LocalRSDP.Signature);
-    ACPI_MEMCPY (LocalRSDP.OemId, "I_TEST", 6);
+    ACPI_MEMCPY (LocalRSDP.OemId, "Intel", 6);
+
     LocalRSDP.Revision = 2;
     LocalRSDP.XsdtPhysicalAddress = ACPI_PTR_TO_PHYSADDR (LocalXSDT);
-    LocalRSDP.Length = sizeof (ACPI_TABLE_XSDT);
+    LocalRSDP.Length = sizeof (ACPI_TABLE_RSDP);
 
     /* Set checksums for both XSDT and RSDP */
 
+    LocalXSDT->Header.Checksum = 0;
     LocalXSDT->Header.Checksum = (UINT8) -AcpiTbChecksum (
         (void *) LocalXSDT, LocalXSDT->Header.Length);
+
+    LocalRSDP.Checksum = 0;
     LocalRSDP.Checksum = (UINT8) -AcpiTbChecksum (
         (void *) &LocalRSDP, ACPI_RSDP_CHECKSUM_LENGTH);
 
@@ -268,6 +327,12 @@ AeBuildLocalTables (
         DsdtToInstallOverride = ACPI_CAST_PTR (ACPI_TABLE_HEADER, LocalDsdtCode);
     }
 
+    /*
+     * Build an FADT. There are three options for the FADT:
+     * 1) Incoming external FADT specified on the command line
+     * 2) A "hardware reduced" local FADT
+     * 3) A fully featured local FADT
+     */
     if (ExternalFadt)
     {
         /*
@@ -280,6 +345,8 @@ AeBuildLocalTables (
             ExternalFadt->Facs = ACPI_PTR_TO_PHYSADDR (&LocalFACS);
         }
 
+        /* Is there room in the FADT for the XDsdst and XFacs 64-bit pointers? */
+
         if (ExternalFadt->Header.Length > ACPI_PTR_DIFF (&ExternalFadt->XDsdt, ExternalFadt))
         {
             ExternalFadt->XDsdt = DsdtAddress;
@@ -312,7 +379,8 @@ AeBuildLocalTables (
          * Build a local FADT so we can test the hardware/event init
          */
         ACPI_MEMSET (&LocalFADT, 0, sizeof (ACPI_TABLE_FADT));
-        ACPI_MOVE_NAME (LocalFADT.Header.Signature, ACPI_SIG_FADT);
+        LocalFADT.Header.Revision = 5;
+        AeInitializeTableHeader ((void *) &LocalFADT, ACPI_SIG_FADT, sizeof (ACPI_TABLE_FADT));
 
         /* Setup FADT header and DSDT/FACS addresses */
 
@@ -322,9 +390,6 @@ AeBuildLocalTables (
         LocalFADT.XDsdt = DsdtAddress;
         LocalFADT.XFacs = ACPI_PTR_TO_PHYSADDR (&LocalFACS);
 
-        LocalFADT.Header.Revision = 3;
-        LocalFADT.Header.Length = sizeof (ACPI_TABLE_FADT);
-
         /* Miscellaneous FADT fields */
 
         LocalFADT.Gpe0BlockLength = 16;
@@ -347,7 +412,7 @@ AeBuildLocalTables (
         LocalFADT.Pm2ControlBlock = 0xC0;
         LocalFADT.Pm2ControlLength = 1;
 
-        /* Setup one example X-64 field */
+        /* Setup one example X-64 GAS field */
 
         LocalFADT.XPm1bEventBlock.SpaceId = ACPI_ADR_SPACE_SYSTEM_IO;
         LocalFADT.XPm1bEventBlock.Address = LocalFADT.Pm1bEventBlock;
@@ -368,29 +433,34 @@ AeBuildLocalTables (
     LocalFACS.Length = sizeof (ACPI_TABLE_FACS);
     LocalFACS.GlobalLock = 0x11AA0011;
 
-    /*
-     * Build a fake table [TEST] so that we make sure that the
-     * ACPICA core ignores it
-     */
-    ACPI_MEMSET (&LocalTEST, 0, sizeof (ACPI_TABLE_HEADER));
-    ACPI_MOVE_NAME (LocalTEST.Signature, "TEST");
+    /* Build the optional local tables */
 
-    LocalTEST.Revision = 1;
-    LocalTEST.Length = sizeof (ACPI_TABLE_HEADER);
-    LocalTEST.Checksum = (UINT8) -AcpiTbChecksum (
-        (void *) &LocalTEST, LocalTEST.Length);
+    if (AcpiGbl_LoadTestTables)
+    {
+        /*
+         * Build a fake table [TEST] so that we make sure that the
+         * ACPICA core ignores it
+         */
+        ACPI_MEMSET (&LocalTEST, 0, sizeof (ACPI_TABLE_HEADER));
+        ACPI_MOVE_NAME (LocalTEST.Signature, "TEST");
 
-    /*
-     * Build a fake table with a bad signature [BAD!] so that we make
-     * sure that the ACPICA core ignores it
-     */
-    ACPI_MEMSET (&LocalBADTABLE, 0, sizeof (ACPI_TABLE_HEADER));
-    ACPI_MOVE_NAME (LocalBADTABLE.Signature, "BAD!");
+        LocalTEST.Revision = 1;
+        LocalTEST.Length = sizeof (ACPI_TABLE_HEADER);
+        LocalTEST.Checksum = (UINT8) -AcpiTbChecksum (
+            (void *) &LocalTEST, LocalTEST.Length);
 
-    LocalBADTABLE.Revision = 1;
-    LocalBADTABLE.Length = sizeof (ACPI_TABLE_HEADER);
-    LocalBADTABLE.Checksum = (UINT8) -AcpiTbChecksum (
-        (void *) &LocalBADTABLE, LocalBADTABLE.Length);
+        /*
+         * Build a fake table with a bad signature [BAD!] so that we make
+         * sure that the ACPICA core ignores it
+         */
+        ACPI_MEMSET (&LocalBADTABLE, 0, sizeof (ACPI_TABLE_HEADER));
+        ACPI_MOVE_NAME (LocalBADTABLE.Signature, "BAD!");
+
+        LocalBADTABLE.Revision = 1;
+        LocalBADTABLE.Length = sizeof (ACPI_TABLE_HEADER);
+        LocalBADTABLE.Checksum = (UINT8) -AcpiTbChecksum (
+            (void *) &LocalBADTABLE, LocalBADTABLE.Length);
+    }
 
     return (AE_OK);
 }
@@ -444,27 +514,30 @@ AeInstallTables (
             AcpiFormatException (Status));
     }
 
-    /* Test multiple table/UEFI support. First, get the headers */
+    if (AcpiGbl_LoadTestTables)
+    {
+        /* Test multiple table/UEFI support. First, get the headers */
 
-    Status = AcpiGetTableHeader (ACPI_SIG_UEFI, 1, &Header);
-    AE_CHECK_OK (AcpiGetTableHeader, Status);
+        Status = AcpiGetTableHeader (ACPI_SIG_UEFI, 1, &Header);
+        AE_CHECK_OK (AcpiGetTableHeader, Status);
 
-    Status = AcpiGetTableHeader (ACPI_SIG_UEFI, 2, &Header);
-    AE_CHECK_OK (AcpiGetTableHeader, Status);
+        Status = AcpiGetTableHeader (ACPI_SIG_UEFI, 2, &Header);
+        AE_CHECK_OK (AcpiGetTableHeader, Status);
 
-    Status = AcpiGetTableHeader (ACPI_SIG_UEFI, 3, &Header);
-    AE_CHECK_STATUS (AcpiGetTableHeader, Status, AE_NOT_FOUND);
+        Status = AcpiGetTableHeader (ACPI_SIG_UEFI, 3, &Header);
+        AE_CHECK_STATUS (AcpiGetTableHeader, Status, AE_NOT_FOUND);
 
-    /* Now get the actual tables */
+        /* Now get the actual tables */
 
-    Status = AcpiGetTable (ACPI_SIG_UEFI, 1, &Table);
-    AE_CHECK_OK (AcpiGetTable, Status);
+        Status = AcpiGetTable (ACPI_SIG_UEFI, 1, &Table);
+        AE_CHECK_OK (AcpiGetTable, Status);
 
-    Status = AcpiGetTable (ACPI_SIG_UEFI, 2, &Table);
-    AE_CHECK_OK (AcpiGetTable, Status);
+        Status = AcpiGetTable (ACPI_SIG_UEFI, 2, &Table);
+        AE_CHECK_OK (AcpiGetTable, Status);
 
-    Status = AcpiGetTable (ACPI_SIG_UEFI, 3, &Table);
-    AE_CHECK_STATUS (AcpiGetTable, Status, AE_NOT_FOUND);
+        Status = AcpiGetTable (ACPI_SIG_UEFI, 3, &Table);
+        AE_CHECK_STATUS (AcpiGetTable, Status, AE_NOT_FOUND);
+    }
 
     return (AE_OK);
 }
diff --git a/sys/contrib/dev/acpica/source/tools/acpiexec/aetables.h b/sys/contrib/dev/acpica/source/tools/acpiexec/aetables.h
index dd4e621..ef1132b 100644
--- a/sys/contrib/dev/acpica/source/tools/acpiexec/aetables.h
+++ b/sys/contrib/dev/acpica/source/tools/acpiexec/aetables.h
@@ -5,7 +5,7 @@
  *****************************************************************************/
 
 /*
- * Copyright (C) 2000 - 2013, Intel Corp.
+ * Copyright (C) 2000 - 2014, Intel Corp.
  * All rights reserved.
  *
  * Redistribution and use in source and binary forms, with or without
@@ -49,16 +49,7 @@
  * Miscellaneous pre-compiled AML ACPI tables to be installed
  */
 
-/* Default DSDT. This will be replaced with the input DSDT */
-
-static unsigned char DsdtCode[] =
-{
-    0x44,0x53,0x44,0x54,0x24,0x00,0x00,0x00,  /* 00000000    "DSDT$..." */
-    0x02,0x6F,0x49,0x6E,0x74,0x65,0x6C,0x00,  /* 00000008    ".oIntel." */
-    0x4E,0x75,0x6C,0x6C,0x44,0x53,0x44,0x54,  /* 00000010    "NullDSDT" */
-    0x01,0x00,0x00,0x00,0x49,0x4E,0x54,0x4C,  /* 00000018    "....INTL" */
-    0x04,0x12,0x08,0x20,
-};
+/* Local DSDT used only if not present in the input */
 
 static unsigned char LocalDsdtCode[] =
 {
diff --git a/sys/contrib/dev/acpica/source/tools/acpihelp/acpihelp.h b/sys/contrib/dev/acpica/source/tools/acpihelp/acpihelp.h
index 5983668..fba2754 100644
--- a/sys/contrib/dev/acpica/source/tools/acpihelp/acpihelp.h
+++ b/sys/contrib/dev/acpica/source/tools/acpihelp/acpihelp.h
@@ -5,7 +5,7 @@
  *****************************************************************************/
 
 /*
- * Copyright (C) 2000 - 2013, Intel Corp.
+ * Copyright (C) 2000 - 2014, Intel Corp.
  * All rights reserved.
  *
  * Redistribution and use in source and binary forms, with or without
diff --git a/sys/contrib/dev/acpica/source/tools/acpihelp/ahamlops.c b/sys/contrib/dev/acpica/source/tools/acpihelp/ahamlops.c
index 3a6aa49..faa4c19 100644
--- a/sys/contrib/dev/acpica/source/tools/acpihelp/ahamlops.c
+++ b/sys/contrib/dev/acpica/source/tools/acpihelp/ahamlops.c
@@ -5,7 +5,7 @@
  *****************************************************************************/
 
 /*
- * Copyright (C) 2000 - 2013, Intel Corp.
+ * Copyright (C) 2000 - 2014, Intel Corp.
  * All rights reserved.
  *
  * Redistribution and use in source and binary forms, with or without
diff --git a/sys/contrib/dev/acpica/source/tools/acpihelp/ahaslkey.c b/sys/contrib/dev/acpica/source/tools/acpihelp/ahaslkey.c
index 2b50960..574bb4b 100644
--- a/sys/contrib/dev/acpica/source/tools/acpihelp/ahaslkey.c
+++ b/sys/contrib/dev/acpica/source/tools/acpihelp/ahaslkey.c
@@ -5,7 +5,7 @@
  *****************************************************************************/
 
 /*
- * Copyright (C) 2000 - 2013, Intel Corp.
+ * Copyright (C) 2000 - 2014, Intel Corp.
  * All rights reserved.
  *
  * Redistribution and use in source and binary forms, with or without
diff --git a/sys/contrib/dev/acpica/source/tools/acpihelp/ahaslops.c b/sys/contrib/dev/acpica/source/tools/acpihelp/ahaslops.c
index 2d7f4d3..e111b7e 100644
--- a/sys/contrib/dev/acpica/source/tools/acpihelp/ahaslops.c
+++ b/sys/contrib/dev/acpica/source/tools/acpihelp/ahaslops.c
@@ -5,7 +5,7 @@
  *****************************************************************************/
 
 /*
- * Copyright (C) 2000 - 2013, Intel Corp.
+ * Copyright (C) 2000 - 2014, Intel Corp.
  * All rights reserved.
  *
  * Redistribution and use in source and binary forms, with or without
diff --git a/sys/contrib/dev/acpica/source/tools/acpihelp/ahdecode.c b/sys/contrib/dev/acpica/source/tools/acpihelp/ahdecode.c
index 38e2b7e..556dc6c 100644
--- a/sys/contrib/dev/acpica/source/tools/acpihelp/ahdecode.c
+++ b/sys/contrib/dev/acpica/source/tools/acpihelp/ahdecode.c
@@ -5,7 +5,7 @@
  *****************************************************************************/
 
 /*
- * Copyright (C) 2000 - 2013, Intel Corp.
+ * Copyright (C) 2000 - 2014, Intel Corp.
  * All rights reserved.
  *
  * Redistribution and use in source and binary forms, with or without
diff --git a/sys/contrib/dev/acpica/source/tools/acpihelp/ahmain.c b/sys/contrib/dev/acpica/source/tools/acpihelp/ahmain.c
index 036ab75..1a8de1e 100644
--- a/sys/contrib/dev/acpica/source/tools/acpihelp/ahmain.c
+++ b/sys/contrib/dev/acpica/source/tools/acpihelp/ahmain.c
@@ -5,7 +5,7 @@
  *****************************************************************************/
 
 /*
- * Copyright (C) 2000 - 2013, Intel Corp.
+ * Copyright (C) 2000 - 2014, Intel Corp.
  * All rights reserved.
  *
  * Redistribution and use in source and binary forms, with or without
diff --git a/sys/contrib/dev/acpica/source/tools/acpinames/acpinames.h b/sys/contrib/dev/acpica/source/tools/acpinames/acpinames.h
index ca2aa13..2c18c49 100644
--- a/sys/contrib/dev/acpica/source/tools/acpinames/acpinames.h
+++ b/sys/contrib/dev/acpica/source/tools/acpinames/acpinames.h
@@ -5,7 +5,7 @@
  *****************************************************************************/
 
 /*
- * Copyright (C) 2000 - 2013, Intel Corp.
+ * Copyright (C) 2000 - 2014, Intel Corp.
  * All rights reserved.
  *
  * Redistribution and use in source and binary forms, with or without
diff --git a/sys/contrib/dev/acpica/source/tools/acpinames/anmain.c b/sys/contrib/dev/acpica/source/tools/acpinames/anmain.c
index 4a079c4..e65e6e9 100644
--- a/sys/contrib/dev/acpica/source/tools/acpinames/anmain.c
+++ b/sys/contrib/dev/acpica/source/tools/acpinames/anmain.c
@@ -5,7 +5,7 @@
  *****************************************************************************/
 
 /*
- * Copyright (C) 2000 - 2013, Intel Corp.
+ * Copyright (C) 2000 - 2014, Intel Corp.
  * All rights reserved.
  *
  * Redistribution and use in source and binary forms, with or without
diff --git a/sys/contrib/dev/acpica/source/tools/acpinames/anstubs.c b/sys/contrib/dev/acpica/source/tools/acpinames/anstubs.c
index 5375c55..dedc40f 100644
--- a/sys/contrib/dev/acpica/source/tools/acpinames/anstubs.c
+++ b/sys/contrib/dev/acpica/source/tools/acpinames/anstubs.c
@@ -5,7 +5,7 @@
  *****************************************************************************/
 
 /*
- * Copyright (C) 2000 - 2013, Intel Corp.
+ * Copyright (C) 2000 - 2014, Intel Corp.
  * All rights reserved.
  *
  * Redistribution and use in source and binary forms, with or without
diff --git a/sys/contrib/dev/acpica/source/tools/acpinames/antables.c b/sys/contrib/dev/acpica/source/tools/acpinames/antables.c
index 6473e6b..8ad3c5c 100644
--- a/sys/contrib/dev/acpica/source/tools/acpinames/antables.c
+++ b/sys/contrib/dev/acpica/source/tools/acpinames/antables.c
@@ -5,7 +5,7 @@
  *****************************************************************************/
 
 /*
- * Copyright (C) 2000 - 2013, Intel Corp.
+ * Copyright (C) 2000 - 2014, Intel Corp.
  * All rights reserved.
  *
  * Redistribution and use in source and binary forms, with or without
diff --git a/sys/contrib/dev/acpica/source/tools/acpisrc/acpisrc.h b/sys/contrib/dev/acpica/source/tools/acpisrc/acpisrc.h
index 101083d..cdf7f0d 100644
--- a/sys/contrib/dev/acpica/source/tools/acpisrc/acpisrc.h
+++ b/sys/contrib/dev/acpica/source/tools/acpisrc/acpisrc.h
@@ -5,7 +5,7 @@
  *****************************************************************************/
 
 /*
- * Copyright (C) 2000 - 2013, Intel Corp.
+ * Copyright (C) 2000 - 2014, Intel Corp.
  * All rights reserved.
  *
  * Redistribution and use in source and binary forms, with or without
@@ -70,6 +70,7 @@
 #define FILE_TYPE_SOURCE                    1
 #define FILE_TYPE_HEADER                    2
 #define FILE_TYPE_DIRECTORY                 3
+#define FILE_TYPE_PATCH                     4
 
 #define CVT_COUNT_TABS                      0x00000001
 #define CVT_COUNT_NON_ANSI_COMMENTS         0x00000002
@@ -189,6 +190,14 @@ typedef struct acpi_conversion_table
     ACPI_IDENTIFIER_TABLE       *HeaderSpecialMacroTable;
     UINT32                      HeaderFunctions;
 
+    ACPI_STRING_TABLE           *PatchStringTable;
+    ACPI_IDENTIFIER_TABLE       *PatchLineTable;
+    ACPI_IDENTIFIER_TABLE       *PatchConditionalTable;
+    ACPI_IDENTIFIER_TABLE       *PatchMacroTable;
+    ACPI_TYPED_IDENTIFIER_TABLE *PatchStructTable;
+    ACPI_IDENTIFIER_TABLE       *PatchSpecialMacroTable;
+    UINT32                      PatchFunctions;
+
 } ACPI_CONVERSION_TABLE;
 
 
diff --git a/sys/contrib/dev/acpica/source/tools/acpisrc/ascase.c b/sys/contrib/dev/acpica/source/tools/acpisrc/ascase.c
index 919029a..2007acc 100644
--- a/sys/contrib/dev/acpica/source/tools/acpisrc/ascase.c
+++ b/sys/contrib/dev/acpica/source/tools/acpisrc/ascase.c
@@ -5,7 +5,7 @@
  *****************************************************************************/
 
 /*
- * Copyright (C) 2000 - 2013, Intel Corp.
+ * Copyright (C) 2000 - 2014, Intel Corp.
  * All rights reserved.
  *
  * Redistribution and use in source and binary forms, with or without
diff --git a/sys/contrib/dev/acpica/source/tools/acpisrc/asconvrt.c b/sys/contrib/dev/acpica/source/tools/acpisrc/asconvrt.c
index 76db871..53c0c54 100644
--- a/sys/contrib/dev/acpica/source/tools/acpisrc/asconvrt.c
+++ b/sys/contrib/dev/acpica/source/tools/acpisrc/asconvrt.c
@@ -5,7 +5,7 @@
  *****************************************************************************/
 
 /*
- * Copyright (C) 2000 - 2013, Intel Corp.
+ * Copyright (C) 2000 - 2014, Intel Corp.
  * All rights reserved.
  *
  * Redistribution and use in source and binary forms, with or without
diff --git a/sys/contrib/dev/acpica/source/tools/acpisrc/asfile.c b/sys/contrib/dev/acpica/source/tools/acpisrc/asfile.c
index e28a4cf..42cefa4 100644
--- a/sys/contrib/dev/acpica/source/tools/acpisrc/asfile.c
+++ b/sys/contrib/dev/acpica/source/tools/acpisrc/asfile.c
@@ -5,7 +5,7 @@
  *****************************************************************************/
 
 /*
- * Copyright (C) 2000 - 2013, Intel Corp.
+ * Copyright (C) 2000 - 2014, Intel Corp.
  * All rights reserved.
  *
  * Redistribution and use in source and binary forms, with or without
@@ -334,6 +334,17 @@ AsConvertFile (
         SpecialMacroTable   = ConversionTable->HeaderSpecialMacroTable;
         break;
 
+    case FILE_TYPE_PATCH:
+
+        Functions           = ConversionTable->PatchFunctions;
+        StringTable         = ConversionTable->PatchStringTable;
+        LineTable           = ConversionTable->PatchLineTable;
+        ConditionalTable    = ConversionTable->PatchConditionalTable;
+        MacroTable          = ConversionTable->PatchMacroTable;
+        StructTable         = ConversionTable->PatchStructTable;
+        SpecialMacroTable   = ConversionTable->PatchSpecialMacroTable;
+        break;
+
     default:
 
         printf ("Unknown file type, cannot process\n");
diff --git a/sys/contrib/dev/acpica/source/tools/acpisrc/asmain.c b/sys/contrib/dev/acpica/source/tools/acpisrc/asmain.c
index 9ce25a5..8c75769 100644
--- a/sys/contrib/dev/acpica/source/tools/acpisrc/asmain.c
+++ b/sys/contrib/dev/acpica/source/tools/acpisrc/asmain.c
@@ -5,7 +5,7 @@
  *****************************************************************************/
 
 /*
- * Copyright (C) 2000 - 2013, Intel Corp.
+ * Copyright (C) 2000 - 2014, Intel Corp.
  * All rights reserved.
  *
  * Redistribution and use in source and binary forms, with or without
@@ -495,10 +495,18 @@ main (
         {
             AsProcessOneFile (ConversionTable, NULL, TargetPath, 0, SourcePath, FILE_TYPE_HEADER);
         }
-        else
+        else if (strstr (SourcePath, ".c"))
         {
             AsProcessOneFile (ConversionTable, NULL, TargetPath, 0, SourcePath, FILE_TYPE_SOURCE);
         }
+        else if (strstr (SourcePath, ".patch"))
+        {
+            AsProcessOneFile (ConversionTable, NULL, TargetPath, 0, SourcePath, FILE_TYPE_PATCH);
+        }
+        else
+        {
+            printf ("Unknown file type - %s\n", SourcePath);
+        }
     }
 
     /* Always display final summary and stats */
diff --git a/sys/contrib/dev/acpica/source/tools/acpisrc/asremove.c b/sys/contrib/dev/acpica/source/tools/acpisrc/asremove.c
index 78cbd6e..1d4fe5f 100644
--- a/sys/contrib/dev/acpica/source/tools/acpisrc/asremove.c
+++ b/sys/contrib/dev/acpica/source/tools/acpisrc/asremove.c
@@ -5,7 +5,7 @@
  *****************************************************************************/
 
 /*
- * Copyright (C) 2000 - 2013, Intel Corp.
+ * Copyright (C) 2000 - 2014, Intel Corp.
  * All rights reserved.
  *
  * Redistribution and use in source and binary forms, with or without
diff --git a/sys/contrib/dev/acpica/source/tools/acpisrc/astable.c b/sys/contrib/dev/acpica/source/tools/acpisrc/astable.c
index 081767b..7c3d663 100644
--- a/sys/contrib/dev/acpica/source/tools/acpisrc/astable.c
+++ b/sys/contrib/dev/acpica/source/tools/acpisrc/astable.c
@@ -5,7 +5,7 @@
  *****************************************************************************/
 
 /*
- * Copyright (C) 2000 - 2013, Intel Corp.
+ * Copyright (C) 2000 - 2014, Intel Corp.
  * All rights reserved.
  *
  * Redistribution and use in source and binary forms, with or without
@@ -90,7 +90,7 @@ ACPI_STRING_TABLE           StandardDataTypes[] = {
 
 char                        DualLicenseHeader[] =
 "/*\n"
-" * Copyright (C) 2000 - 2013, Intel Corp.\n"
+" * Copyright (C) 2000 - 2014, Intel Corp.\n"
 " * All rights reserved.\n"
 " *\n"
 " * Redistribution and use in source and binary forms, with or without\n"
@@ -761,6 +761,17 @@ ACPI_CONVERSION_TABLE       LinuxConversionTable = {
      CVT_TRIM_LINES | CVT_MIXED_CASE_TO_UNDERSCORES |
      CVT_LOWER_CASE_IDENTIFIERS | CVT_TRIM_WHITESPACE |
      CVT_REMOVE_EMPTY_BLOCKS| CVT_REDUCE_TYPEDEFS | CVT_SPACES_TO_TABS8),
+
+    /* Patch files */
+
+    LinuxDataTypes,
+    NULL,
+    NULL,
+    NULL,
+    AcpiIdentifiers,
+    NULL,
+    (CVT_COUNT_TABS | CVT_COUNT_NON_ANSI_COMMENTS | CVT_COUNT_LINES |
+     CVT_MIXED_CASE_TO_UNDERSCORES),
 };
 
 
@@ -796,6 +807,16 @@ ACPI_CONVERSION_TABLE       CleanupConversionTable = {
     NULL,
     (CVT_COUNT_TABS | CVT_COUNT_NON_ANSI_COMMENTS | CVT_COUNT_LINES |
      CVT_TRIM_LINES | CVT_TRIM_WHITESPACE),
+
+    /* Patch files */
+
+    NULL,
+    NULL,
+    NULL,
+    NULL,
+    NULL,
+    NULL,
+    (CVT_COUNT_TABS | CVT_COUNT_NON_ANSI_COMMENTS | CVT_COUNT_LINES),
 };
 
 
@@ -826,6 +847,17 @@ ACPI_CONVERSION_TABLE       StatsConversionTable = {
     NULL,
     (CVT_COUNT_TABS | CVT_COUNT_NON_ANSI_COMMENTS | CVT_COUNT_LINES |
      CVT_COUNT_SHORTMULTILINE_COMMENTS),
+
+    /* Patch files */
+
+    NULL,
+    NULL,
+    NULL,
+    NULL,
+    NULL,
+    NULL,
+    (CVT_COUNT_TABS | CVT_COUNT_NON_ANSI_COMMENTS | CVT_COUNT_LINES |
+     CVT_COUNT_SHORTMULTILINE_COMMENTS),
 };
 
 
@@ -862,6 +894,17 @@ ACPI_CONVERSION_TABLE       LicenseConversionTable = {
     NULL,
     (CVT_COUNT_TABS | CVT_COUNT_NON_ANSI_COMMENTS | CVT_COUNT_LINES |
      CVT_COUNT_SHORTMULTILINE_COMMENTS),
+
+    /* Patch files */
+
+    NULL,
+    NULL,
+    NULL,
+    NULL,
+    NULL,
+    NULL,
+    (CVT_COUNT_TABS | CVT_COUNT_NON_ANSI_COMMENTS | CVT_COUNT_LINES |
+     CVT_COUNT_SHORTMULTILINE_COMMENTS),
 };
 
 
@@ -874,8 +917,8 @@ ACPI_CONVERSION_TABLE       LicenseConversionTable = {
 ACPI_STRING_TABLE           CustomReplacements[] = {
 
 
-    {"(c) 1999 - 2012",     "(c) 1999 - 2013",         REPLACE_WHOLE_WORD}, /* Main ACPICA source */
-    {"(c) 2006 - 2012",     "(c) 2006 - 2013",         REPLACE_WHOLE_WORD}, /* Test suites */
+    {"(c) 1999 - 2013",     "(c) 1999 - 2014",         REPLACE_WHOLE_WORD}, /* Main ACPICA source */
+    {"(c) 2006 - 2013",     "(c) 2006 - 2014",         REPLACE_WHOLE_WORD}, /* Test suites */
 
 #if 0
     {"SUPPORT, ASSISTANCE", "SUPPORT, ASSISTANCE",     REPLACE_WHOLE_WORD}, /* Fix intel header */
@@ -953,6 +996,16 @@ ACPI_CONVERSION_TABLE       CustomConversionTable = {
     NULL,
     (CVT_COUNT_TABS | CVT_COUNT_NON_ANSI_COMMENTS | CVT_COUNT_LINES |
      CVT_TRIM_LINES | CVT_TRIM_WHITESPACE),
+
+    /* C header files */
+
+    NULL,
+    NULL,
+    NULL,
+    NULL,
+    NULL,
+    NULL,
+    (CVT_COUNT_TABS | CVT_COUNT_NON_ANSI_COMMENTS | CVT_COUNT_LINES),
 };
 
 
@@ -990,4 +1043,14 @@ ACPI_CONVERSION_TABLE       IndentConversionTable = {
     LinuxSpecialMacros,
     (CVT_COUNT_TABS | CVT_COUNT_NON_ANSI_COMMENTS | CVT_COUNT_LINES |
      CVT_TRIM_LINES | CVT_TRIM_WHITESPACE),
+
+    /* C header files */
+
+    NULL,
+    NULL,
+    NULL,
+    NULL,
+    NULL,
+    NULL,
+    (CVT_COUNT_TABS | CVT_COUNT_NON_ANSI_COMMENTS | CVT_COUNT_LINES),
 };
diff --git a/sys/contrib/dev/acpica/source/tools/acpisrc/asutils.c b/sys/contrib/dev/acpica/source/tools/acpisrc/asutils.c
index a358596..050d343 100644
--- a/sys/contrib/dev/acpica/source/tools/acpisrc/asutils.c
+++ b/sys/contrib/dev/acpica/source/tools/acpisrc/asutils.c
@@ -5,7 +5,7 @@
  *****************************************************************************/
 
 /*
- * Copyright (C) 2000 - 2013, Intel Corp.
+ * Copyright (C) 2000 - 2014, Intel Corp.
  * All rights reserved.
  *
  * Redistribution and use in source and binary forms, with or without
